Skip to main content
PUT
/
api
/
cdp
/
schema
/
table
/
{table_name}
/
column
/
{column_name}
Alterar uma Coluna
curl --request PUT \
  --url https://cdp.analytics.synapside.com/api/cdp/schema/table/{table_name}/column/{column_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_name": "telefone_celular",
  "new_type": "TEXT",
  "comment": "Novo comentário ou descrição para o campo."
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.analytics.synapside.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_name
string
required
column_name
string
required

Body

application/json
new_name
string
Example:

"telefone_celular"

new_type
enum<string>
Available options:
TEXT,
INTEGER,
FLOAT,
BOOLEAN,
TIMESTAMP,
JSONB
Example:

"TEXT"

comment
string
Example:

"Novo comentário ou descrição para o campo."

Response

Coluna alterada com sucesso.